import request from '@/utils/request'

// 查询活动预约列列表
export function listAppoint(query) {
  return request({
    url: '/event/appoint/list',
    method: 'get',
    params: query
  })
}

// 查询活动预约列详细
export function getAppoint(id) {
  return request({
    url: '/event/appoint/' + id,
    method: 'get'
  })
}

// 新增活动预约列
export function addAppoint(data) {
  return request({
    url: '/event/appoint',
    method: 'post',
    data: data
  })
}

// 修改活动预约列
export function updateAppoint(data) {
  return request({
    url: '/event/appoint',
    method: 'put',
    data: data
  })
}

// 删除活动预约列
export function delAppoint(id) {
  return request({
    url: '/event/appoint/' + id,
    method: 'delete'
  })
}

// 导出活动预约列
export function exportAppoint(query) {
  return request({
    url: '/event/appoint/export',
    method: 'get',
    params: query
  })
}